Bug 110340 - up2date not seeing available kernel update from satellite
up2date not seeing available kernel update from satellite
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2003-11-18 12:24 EST by Kevin Otte
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-23 11:31:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output from up2date -uf after install (1.80 KB, text/plain)
2003-11-18 12:26 EST, Kevin Otte
no flags Details

  None (edit)
Description Kevin Otte 2003-11-18 12:24:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
The RHN satellite web interface and the GNOME Panel Applet both
indicate the availability of an updated kernel package
(kernel-2.4.21-4.0.1.EL).  However, up2date fails to find this package
as available.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install base operating system
2. Register with satellite (rhnreg_ks with activation key in my case)
3. up2date -uf

Actual Results:  Updated packages except kernel were downloaded and

Expected Results:  All updated packages should have been downloaded
and installed.

Additional info:
Comment 1 Kevin Otte 2003-11-18 12:26:38 EST
Created attachment 96042 [details]
Output from up2date -uf after install
Comment 2 Kevin Otte 2003-11-18 13:13:22 EST
Additionally, I attempted to upgrade the kernel by scheduling an
action for it via the RHN Satellite web interface.  The action
returned that it was successful, but an "rpm -q kernel" still showed
the old kernel (and only the old kernel) installed.
Comment 3 Kevin Otte 2003-12-11 14:33:00 EST
I created a yum repository with just the kernel errata and pointed
up2date at it.  up2date then found it and installed it as it should. 
This leads me to believe there is some problem in the interaction with
up2date and our satellite.  We are running version 2.6.1 of the satellite.
Comment 4 Kevin Otte 2003-12-23 11:23:02 EST
Changes were made to our satellite.  This bug has been fixed.  You may
Comment 5 Matt Jamison 2003-12-23 11:31:19 EST

Note You need to log in before you can comment on or make changes to this bug.